### Method

# Vips Region shrink

#### Declaration [src]

    int
    vips_region_shrink (
      VipsRegion* from,
      VipsRegion* to,
      const VipsRect* target
    )

#### Description [src]

Write the pixels `target` in `to` from the x2 larger area in `from`. Non-complex uncoded images and LABQ only. Images with alpha (see `vips_image_hasalpha()`) shrink with pixels scaled by alpha to avoid fringing.

This is a compatibility stub that just calls `vips_region_shrink_method()`.

See also

`vips_region_shrink_method()`.

This method is not directly available to language bindings.

#### Parameters

`to`

  Type: `VipsRegion`

  Destination region.

  The argument will be modified by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`target`

  Type: `VipsRect`

  `VipsRect` of pixels you need to copy.

  The data is owned by the caller of the method.

#### Return value

Type: `int`

No description available.